
#
#  IAS 
#


#
#  Length 
#
mm           = millimeter   = 0.039370079         # Milimeter
cm           = centimeter   = 0.393700787         # Centimeter
m            = meter        = 39.37007874         # Meter
km           = kilometer    = 39370.07874         # Kilometer
inch                        = 1.0                 
ft           = foot         = 12.0                # International foot
yd           = yard         = 36.0                # International yard
mi           = mile         = 63360.0             # Mile

#
#  Angle 
#
rad          = radian       = 1.0                 # Radian
arcsec                      = 4.84814e-06         # Arcsecond
arcmin                      = 0.000290888         # Arcminute
deg          = degree       = 0.017453293         # Degrees

#
#  Constants 
#
pi           = pi           = 3.141592654         # Pi

#
#  Time 
#
sec          = second       = 1.0                 # second
min          = minute       = 60.0                # minute
hr           = hour         = 3600.0              # hour
day                         = 86400.0             # day
wk           = week         = 604800.0            # week
yr           = year         = 31536000.0          # year

#
#  Force 
#
N            = newton       = 86.7961666          # Newton (force)
dyn          = dyne         = 0.000867962         # Dyne
pdl          = poundal      = 12.0                # Poundal
lbf          = poundf       = 386.088588          
kip          = klbf         = 386088.588          

#
#  Mass 
#
slug                        = 32.174049           
lbm          = lbm          = 1.0                 # International avoirdupois pound
g            = gram         = 0.002204623         
kg           = kilogram     = 2.204622632         # Kilogram
tonne                       = 2204.622632         # Metric tonne
oz           = ounce        = 0.0625              # International avoirdupois ounce

#
#  Pressure 
#
Pa           = pascal       = 0.055997415         # Pascal
torr                        = 7.465707972         
kPa          = kilopascal   = 55.99741484         
bar                         = 5599.741484         
atm          = atmosphere   = 5673.938059         # Standard atmosphere
MPa          = megapascal   = 55997.41484         
GPa          = gigapascal   = 55997414.84         
psi                         = 386.088588          # Pound-square-inch
ksi                         = 386088.588          
pci                         = 386.088588          
pcf                         = 0.223430896         # Pounds per cubic foot

#
#  Amount 
#
mol          = mole         = 1.0                 # Mole

#
#  Frequency 
#
Hz           = hertz        = 1.0                 

#
#  Area 
#
mm2                         = 0.001550003         # Square millimeter
m2                          = 0.15500031          # Square meter
cm2                         = 1550.0031           # Square centimeter
km2                         = 1550003100.0        # Square kilometer
in2          = inch2        = 1.0                 # Square inch
ft2          = feet2        = 144.0               # Square foot
yd2          = yard2        = 1296.0              # Square yard
mi2          = mile2        = 4014489600.0        # Square mile

#
#  Volume 
#
mm3                         = 6.10237e-05         
m3                          = 0.061023744         
cm3                         = 61023.74409         
km3                         = 61023700000000.0    
in3          = inch3        = 1.0                 
ft3          = foot3        = 1728.0              
cyd          = yard3        = 46656.0             
mi3          = mile3        = 254358000000000.0   

#
#  Velocity 
#
mmps                        = 0.039370079         # Millimeter per second
cps          = cmps         = 0.393700787         # Centimeter per second
mps                         = 39.37007874         # Meter per second
kps                         = 39370.07874         # Kilometer per second
ips          = inchps       = 1.0                 # Inch per second
fps          = footps       = 12.0                # Foot per second
yps                         = 36.0                # Yard per second
mph                         = 17.6                # mile per hour

#
#  Acceleration 
#
mmps2                       = 0.039370079         
cps2         = cmps2        = 0.393700787         
mps2                        = 39.37007874         
kps2                        = 39370.07874         
ips2         = inchps2      = 1.0                 
fps2         = footps2      = 12.0                
yps2                        = 36.0                
mph2                        = 0.004888889         
gravity                     = 386.0885827         # Standard gravity

#
#  Angular Velocity 
#
rpm          = revpm        = 6.283185307         # Revolution per minute
radps                       = 1.0                 # Radian per second
